package com.isu.gaswellwatch.dto;

import jakarta.validation.constraints.NotBlank;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.SuperBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.io.Serializable;
import java.io.Serial;
import java.time.LocalDateTime;

/**
 * 创建区块对象 blocks
 *
 * @author scwsl
 * @date 2024-11-17
 */
@Getter
@Setter
@SuperBuilder
@NoArgsConstructor
public class BlockCreateRequest implements Serializable {

    @Serial
    private static final long serialVersionUID = 1L;

        /** id */
        private Long id;

        @NotBlank(message = "名称不能为空!")
            /** 名称 */
        private String name;

            /** 描述 */
        private String details;

            /** 部门id */
        private Long departmentId;


}
